mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.ObjectSecurity To be added.

Provides the ability to control access to directory objects without direct manipulation of Access Control Lists (ACLs).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified security descriptor.

  The security descriptor to be associated with the new object.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AccessRule `` `` `` `` `` `` `` `` To be added.

  Initializes a new instance of the class with the specified values.

  The object that this method creates.

  The identity to which the access rule applies. It must be an object that can be cast as a . The access mask of this rule. The access mask is a 32-bit collection of anonymous bits, the meaning of which is defined by the individual integrators. true if this rule is inherited from a parent container. Specifies the inheritance properties of the access rule. Specifies whether inherited access rules are automatically propagated. The propagation flags are ignored if is set to . Specifies the valid access control type. The identity of the class of objects to which the new access rule applies. The identity of the class of child objects which can inherit the new access rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Adding an access rule might cause existing access rules in the DACL to be merged.

  Adds the specified access rule to the Discretionary Access Control List (DACL) associated with this object.

  The access rule to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Adding an audit rule might cause existing audit rules in the SACL to be merged.

  Adds the specified audit rule to the System Access Control List (SACL) associated with this object.

  The audit rule to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuditRule `` `` `` `` `` `` `` `` To be added.

  Initializes a new instance of the class with the specified values.

  The object that this method creates.

  The identity to which the audit rule applies. It must be an object that can be cast as a . The access mask of this rule. The access mask is a 32-bit collection of anonymous bits, the meaning of which is defined by the individual integrators. true if this rule is inherited from a parent container. Specifies the inheritance properties of the audit rule. Specifies whether inherited audit rules are automatically propagated. The propagation flags are ignored if is set to . Specifies the conditions for which the rule is audited. The identity of the class of objects to which the new audit rule applies. The identity of the class of child objects which can inherit the new audit rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuthorizationRuleCollection `` `` `` To be added.

  Gets a collection of the access rules associated with the specified security identifier.

  The collection of access rules associated with the specified object.

  true to include access rules explicitly set for the object. true to include inherited access rules. The security identifier for which to retrieve access rules. This must be an object that can be cast as a object.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuthorizationRuleCollection `` `` `` To be added.

  Gets a collection of the audit rules associated with the specified security identifier.

  The collection of audit rules associated with the specified object.

  true to include audit rules explicitly set for the object. true to include inherited audit rules. The security identifier for which to retrieve audit rules. This must be an object that can be cast as a object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Access removal is accomplished by using a complex algorithm that might add access control rules in addition to removing them.

  This method fails to remove the access rule and returns false if the inheritance rules associated with the access rule are too complex for the removal algorithm to succeed.

  Removes access rules that contain the same security identifier and access mask as the specified access rule from the Discretionary Access Control List (DACL) associated with this object.

  true if the access rule was successfully removed; otherwise, false.

  The access rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all access rules that have the same security identifier as the specified access rule from the Discretionary Access Control List (DACL) associated with this object.

  The access rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all access rules that exactly match the specified access rule from the Discretionary Access Control List (DACL) associated with this object.

  The access rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Audit removal is accomplished by using a complex algorithm that might add audit control rules in addition to removing them.

  This method fails to remove the audit rule and returns false if the inheritance rules associated with the audit rule are too complex for the removal algorithm to succeed.

  Removes audit rules that contain the same security identifier and access mask as the specified audit rule from the System Access Control List (SACL) associated with this object.

  true if the audit rule was successfully removed; otherwise, false.

  The audit rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules that have the same security identifier as the specified audit rule from the System Access Control List (SACL) associated with this object.

  The audit rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules that exactly match the specified audit rule from the System Access Control List (SACL) associated with this object.

  The audit rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all access rules in the Discretionary Access Control List (DACL) associated with this object and then adds the specified access rule.

  The access rule to reset.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all access rules that contain the same security identifier and qualifier as the specified access rule in the Discretionary Access Control List (DACL) associated with this object and then adds the specified access rule.

  The access rule to set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules that contain the same security identifier and qualifier as the specified audit rule in the System Access Control List (SACL) associated with this object and then adds the specified audit rule.

  The audit rule to set.